The extension supports PHP 5.4.0 to PHP 5.6.0.


We don't support PHP 7 at this point in time, but are working to add PHP 7 support in the next release. 


Please upload the attached file Js.php to app/code/community/Gene/Braintree/Block/Js.php to provide PHP 7 support in the interim. This file has been updated to work with v3.1.x